Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1122231 - Review Request: nodejs-proxy-agent - Maps proxy protocols to http.Agent implementations
Summary: Review Request: nodejs-proxy-agent - Maps proxy protocols to http.Agent imple...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1122225 1122226 1122228 1122239
Blocks: nodejs-reviews 1122244
TreeView+ depends on / blocked
 
Reported: 2014-07-22 19:05 UTC by Ralph Bean
Modified: 2014-09-09 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-21 13:15:58 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Ralph Bean 2014-07-22 19:05:25 UTC
Spec URL: http://ralph.fedorapeople.org//nodejs-proxy-agent.spec
SRPM URL: http://ralph.fedorapeople.org//nodejs-proxy-agent-1.1.0-1.fc20.src.rpm

Description:
This module provides a function that returns proxying `http.Agent`
instances to use based off of a given proxy URI.

Comment 1 Ralph Bean 2014-08-18 13:24:19 UTC
New Package SCM Request
=======================
Package Name: nodejs-proxy-agent
Short Description: Maps proxy protocols to http.Agent implementations
Upstream URL: https://npmjs.org/package/proxy-agent
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 2 Kevin Fenzi 2014-08-18 14:52:56 UTC
I don't see a review here? :)

Comment 3 Ralph Bean 2014-08-18 15:23:50 UTC
(In reply to Kevin Fenzi from comment #2)
> I don't see a review here? :)

Astute, Kevin.  :(  Sorry about that.

Comment 4 Parag AN(पराग) 2014-08-20 14:30:59 UTC
Review:

+ mock build is successful for f22.

+ rpmlint output on rpms gave
nodejs-proxy-agent.noarch: W: spelling-error Summary(en_US) http -> HTTP
nodejs-proxy-agent.noarch: W: spelling-error %description -l en_US proxying -> propping
nodejs-proxy-agent.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-proxy-agent.noarch: W: only-non-binary-in-usr-lib
nodejs-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/proxy-agent/node_modules/pac-proxy-agent /usr/lib/node_modules/pac-proxy-agent
nodejs-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/proxy-agent/node_modules/https-proxy-agent /usr/lib/node_modules/https-proxy-agent
nodejs-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/proxy-agent/node_modules/lru-cache /usr/lib/node_modules/lru-cache
nodejs-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/proxy-agent/node_modules/socks-proxy-agent /usr/lib/node_modules/socks-proxy-agent
nodejs-proxy-agent.noarch: W: dangling-symlink /usr/lib/node_modules/proxy-agent/node_modules/http-proxy-agent /usr/lib/node_modules/http-proxy-agent
nodejs-proxy-agent.src: W: spelling-error Summary(en_US) http -> HTTP
nodejs-proxy-agent.src: W: spelling-error %description -l en_US proxying -> propping
nodejs-proxy-agent.src: W: spelling-error %description -l en_US http -> HTTP
2 packages and 0 specfiles checked; 0 errors, 12 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :85a664fd213d69002873899d230dcc1f0c66b51ce7f447d5b5efde57d6bf09c6
upstream tarball :85a664fd213d69002873899d230dcc1f0c66b51ce7f447d5b5efde57d6bf09c6

+ License "MIT" is valid and is included in README.md file as %doc

+ rest looks following packaging guidelines.


APPROVED.

Comment 5 Ralph Bean 2014-08-20 18:33:03 UTC
New Package SCM Request
=======================
Package Name: nodejs-proxy-agent
Short Description: Maps proxy protocols to http.Agent implementations
Upstream URL: https://npmjs.org/package/proxy-agent
Owners: ralph
Branches: f21,f20,f19,epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-08-21 11:56:36 UTC
Git done (by process-git-requests).

Comment 7 Ralph Bean 2014-08-21 13:15:58 UTC
Built in rawhide.

Comment 8 Fedora Update System 2014-08-21 13:51:00 UTC
nodejs-proxy-agent-1.1.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-proxy-agent-1.1.0-1.fc20

Comment 9 Fedora Update System 2014-08-21 13:51:09 UTC
nodejs-proxy-agent-1.1.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-proxy-agent-1.1.0-1.fc19

Comment 10 Fedora Update System 2014-09-09 22:09:57 UTC
nodejs-proxy-agent-1.1.0-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 11 Fedora Update System 2014-09-09 22:10:02 UTC
nodejs-proxy-agent-1.1.0-1.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.